// kafka-connector options: START
[[camel-azure-blob-kafka-connector-sink]]
= camel-azure-blob-kafka-connector sink configuration

When using camel-azure-blob-kafka-connector as sink make sure to use the following Maven dependency to have support for the connector:

[source,xml]
----
<dependency>
  <groupId>org.apache.camel.kafkaconnector</groupId>
  <artifactId>camel-azure-blob-kafka-connector</artifactId>
  <version>x.x.x</version>
  <!-- use the same version as your Camel Kafka connector version -->
</dependency>
----

To use this Sink connector in Kafka connect you'll need to set the following connector.class

[source,java]
----
connector.class=org.apache.camel.kafkaconnector.azureblob.CamelAzureblobSinkConnector
----


The camel-azure-blob sink connector supports 42 options, which are listed below.



[width="100%",cols="2,5,^1,1,1",options="header"]
|===
| Name | Description | Default | Required | Priority
| *camel.sink.path.containerOrBlobUri* | Container or Blob compact Uri | null | true | HIGH
| *camel.sink.endpoint.azureBlobClient* | The blob service client | null | false | MEDIUM
| *camel.sink.endpoint.blobOffset* | Set the blob offset for the upload or download operations, default is 0 | "0" | false | MEDIUM
| *camel.sink.endpoint.blobType* | Set a blob type, 'blockblob' is default One of: [blockblob] [appendblob] [pageblob] | "blockblob" | false | MEDIUM
| *camel.sink.endpoint.closeStreamAfterRead* | Close the stream after read or keep it open, default is true | true | false | MEDIUM
| *camel.sink.endpoint.credentials* | Set the storage credentials, required in most cases | null | false | MEDIUM
| *camel.sink.endpoint.dataLength* | Set the data length for the download or page blob upload operations | null | false | MEDIUM
| *camel.sink.endpoint.fileDir* | Set the file directory where the downloaded blobs will be saved to | null | false | MEDIUM
| *camel.sink.endpoint.publicForRead* | Storage resources can be public for reading their content, if this property is enabled then the credentials do not have to be set | false | false | MEDIUM
| *camel.sink.endpoint.streamReadSize* | Set the minimum read size in bytes when reading the blob content | null | false | MEDIUM
| *camel.sink.endpoint.validateClientURI* | Whether to validate the Azure client URI | true | false | MEDIUM
| *camel.sink.endpoint.blobMetadata* | Set the blob meta-data | null | false | MEDIUM
| *camel.sink.endpoint.blobPrefix* | Set a prefix which can be used for listing the blobs | null | false | MEDIUM
| *camel.sink.endpoint.closeStreamAfterWrite* | Close the stream after write or keep it open, default is true | true | false | MEDIUM
| *camel.sink.endpoint.lazyStartProducer* | Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. | false | false | MEDIUM
| *camel.sink.endpoint.operation* | Blob service operation hint to the producer One of: [getBlob] [deleteBlob] [listBlobs] [updateBlockBlob] [uploadBlobBlocks] [commitBlobBlockList] [getBlobBlockList] [createAppendBlob] [updateAppendBlob] [createPageBlob] [updatePageBlob] [resizePageBlob] [clearPageBlob] [getPageBlobRanges] | "listBlobs" | false | MEDIUM
| *camel.sink.endpoint.streamWriteSize* | Set the size of the buffer for writing block and page blocks | null | false | MEDIUM
| *camel.sink.endpoint.useFlatListing* | Specify if the flat or hierarchical blob listing should be used | true | false | MEDIUM
| *camel.sink.endpoint.synchronous* | Sets whether synchronous processing should be strictly used, or Camel is allowed to use asynchronous processing (if supported). | false | false | MEDIUM
| *camel.sink.endpoint.credentialsAccountKey* | Set the storage account key used during authentication phase | null | false | MEDIUM
| *camel.sink.endpoint.credentialsAccountName* | Set the storage account name used during authentication phase | null | false | MEDIUM
| *camel.component.azure-blob.azureBlobClient* | The blob service client | null | false | MEDIUM
| *camel.component.azure-blob.blobOffset* | Set the blob offset for the upload or download operations, default is 0 | "0" | false | MEDIUM
| *camel.component.azure-blob.blobType* | Set a blob type, 'blockblob' is default One of: [blockblob] [appendblob] [pageblob] | "blockblob" | false | MEDIUM
| *camel.component.azure-blob.closeStreamAfterRead* | Close the stream after read or keep it open, default is true | true | false | MEDIUM
| *camel.component.azure-blob.credentials* | Set the storage credentials, required in most cases | null | false | MEDIUM
| *camel.component.azure-blob.dataLength* | Set the data length for the download or page blob upload operations | null | false | MEDIUM
| *camel.component.azure-blob.fileDir* | Set the file directory where the downloaded blobs will be saved to | null | false | MEDIUM
| *camel.component.azure-blob.publicForRead* | Storage resources can be public for reading their content, if this property is enabled then the credentials do not have to be set | false | false | MEDIUM
| *camel.component.azure-blob.streamReadSize* | Set the minimum read size in bytes when reading the blob content | null | false | MEDIUM
| *camel.component.azure-blob.validateClientURI* | Whether to validate the Azure client URI | true | false | MEDIUM
| *camel.component.azure-blob.blobMetadata* | Set the blob meta-data | null | false | MEDIUM
| *camel.component.azure-blob.blobPrefix* | Set a prefix which can be used for listing the blobs | null | false | MEDIUM
| *camel.component.azure-blob.closeStreamAfterWrite* | Close the stream after write or keep it open, default is true | true | false | MEDIUM
| *camel.component.azure-blob.lazyStartProducer* | Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. | false | false | MEDIUM
| *camel.component.azure-blob.operation* | Blob service operation hint to the producer One of: [getBlob] [deleteBlob] [listBlobs] [updateBlockBlob] [uploadBlobBlocks] [commitBlobBlockList] [getBlobBlockList] [createAppendBlob] [updateAppendBlob] [createPageBlob] [updatePageBlob] [resizePageBlob] [clearPageBlob] [getPageBlobRanges] | "listBlobs" | false | MEDIUM
| *camel.component.azure-blob.streamWriteSize* | Set the size of the buffer for writing block and page blocks | null | false | MEDIUM
| *camel.component.azure-blob.useFlatListing* | Specify if the flat or hierarchical blob listing should be used | true | false | MEDIUM
| *camel.component.azure-blob.autowiredEnabled* | Whether autowiring is enabled. This is used for automatic autowiring options (the option must be marked as autowired) by looking up in the registry to find if there is a single instance of matching type, which then gets configured on the component. This can be used for automatic configuring JDBC data sources, JMS connection factories, AWS Clients, etc. | true | false | MEDIUM
| *camel.component.azure-blob.configuration* | The Blob Service configuration | null | false | MEDIUM
| *camel.component.azure-blob.credentialsAccountKey* | Set the storage account key used during authentication phase | null | false | MEDIUM
| *camel.component.azure-blob.credentialsAccountName* | Set the storage account name used during authentication phase | null | false | MEDIUM
|===



The camel-azure-blob sink connector has no converters out of the box.





The camel-azure-blob sink connector has no transforms out of the box.





The camel-azure-blob sink connector has no aggregation strategies out of the box.
// kafka-connector options: END
